Bug 1388750 - Mouse Cursor doesn't disappear in Xwayland full-screen apps
Summary: Mouse Cursor doesn't disappear in Xwayland full-screen apps
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-26 05:34 UTC by Anass Ahmed
Modified: 2017-11-17 20:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-17 20:07:49 UTC


Attachments (Terms of Use)

Description Anass Ahmed 2016-10-26 05:34:37 UTC
Description of problem:
The pointer in the full screen videos (in Firefox, and VLC for example) doesn't hide the mouse cursor at the beginning. I should move the cursor a little bit, so it can be hidden with the player-controllers (which were already hidden, but appeared with the movement).

This happens every time with Youtube videos in Firefox and also VLC (XWayland), but doesn't happen with Totem (Wayland).

This doesn't happen when you activate Full-screen with mouse, but with keyboard shortcut "F".


Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.19.0-0.2.20160929.fc25.x86_64
xorg-x11-server-utils-7.7-19.fc24.x86_64
xorg-x11-server-Xorg-1.19.0-0.2.20160929.fc25.x86_64
xorg-x11-server-Xwayland-1.19.0-0.2.20160929.fc25.x86_64
xorg-x11-server-Xvfb-1.19.0-0.2.20160929.fc25.x86_64


How reproducible:
Always


Steps to Reproduce:

In Firefox:
1. Open a video in Youtube.
2. Press "F" to activate the full-screen mode.

In VLC:
1. Open a video.
2. Switch to any other app.
3. Switch back to VLC with Super+Tab (not the mouse).
4. Press "F" to activate the full-screen mode.


Actual results:
You should see the cursor in the full-screen mode which doesn't disappear until you move the mouse (thus it shows the player controllers then hide both cursor and controllers).


Expected results:
Hide the cursor as soon as you get in the full-screen mode.


Additional info:
Related to Bug 1135661

Comment 1 Kamil Páral 2016-10-26 08:37:14 UTC
I can reproduce this with vlc.

Comment 2 Anass Ahmed 2016-11-27 13:40:16 UTC
I don't know if it's a new version of mutter (which tried to fix full-screen animation) or Firefox (which tried to fix full-screen animation too) .. but this issue had been mitigated a little bit (don't happen as much as before, but still exists).

PS: I don't use VLC much because it crashes Wayland when hovering the mouse on the progress/seek bar (misplaced overlay popup issue), but I tested it briefly and looks like the issue is mitigated there too.

Comment 3 Fedora End Of Life 2017-11-16 19:55:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Anass Ahmed 2017-11-16 21:45:41 UTC
Still applicable, I've to move the mouse cursor a little bit to disappear.

Comment 5 Olivier Fourdan 2017-11-17 08:14:50 UTC
I remember trying to reproduce this one in the past and couldn't, the pointer would disappear each time as expected, tried with FF, google-chrome (youtube videos) and vlc as well.

I tried with different monitor layouts as well, but the pointer would disappear after a few seconds in youtube (google-chrome and FF) and immediately with vlc.

Comment 6 Anass Ahmed 2017-11-17 20:07:49 UTC
(In reply to Olivier Fourdan from comment #5)
> I remember trying to reproduce this one in the past and couldn't, the
> pointer would disappear each time as expected, tried with FF, google-chrome
> (youtube videos) and vlc as well.
> 
> I tried with different monitor layouts as well, but the pointer would
> disappear after a few seconds in youtube (google-chrome and FF) and
> immediately with vlc.

OK, I've tried again right now in F27 and yes, it's now working properly.

I don't know exactly which version of GNOME Shell or Mutter that fixed this issue though.


Note You need to log in before you can comment on or make changes to this bug.